std::visit_format_arg(3)

NAME
std::visit_format_arg - std::visit_format_arg

Synopsis
   Defined in header <format>
   template< class Visitor, class Context > (since C++20)
   /* see below */ visit_format_arg( Visitor&& vis, (deprecated in C++26)
   std::basic_format_arg<Context> arg );
   Applies the visitor vis to the object contained in arg.
   Equivalent to std::visit(std::forward<Visitor>(vis), value), where value is the
   std::variant stored in arg.

Parameters
   vis - a Callable that accepts every possible alternative from arg
   arg - a std::basic_format_arg to be visited

Return value
   The value returned by the selected invocation of the visitor.

Notes
   As of C++26, std::visit_format_arg is deprecated in favor of the visit member
   functions of std::basic_format_arg.

Example
    This section is incomplete
    Reason: no example

See also
   make_format_args creates a type-erased object referencing all formatting arguments,
   make_wformat_args convertible to format_args
   (C++20) (function template)
   (C++20)

Category:
     * Todo no example